
workflow_definition = %{
  schema_version: "1.9",
  identifier: "dev_live_workflow",
  label: "Dev workflow",
  tags: ["dev"],
  icon: "custom_icon",
  is_live: true,
  version_major: 6,
  version_minor: 5,
  version_micro: 4,
  user_uuid: "<%= uuid %>",
  reference: "some-identifier",
  steps: [
    %{
      id: 0,
      name: "my_first_step",
      icon: "step_icon",
      label: "My first step",
      parameters: [
        %{
          id: "source_paths",
          type: "array_of_strings",
          value: [
            "str://120.0.0.1:8000"
          ]
        },
        %{
          id: "destination_filename",
          type: "template",
          default: "{source_path}.wav",
          value: "{source_path}.wav"
        }
      ]
    }
  ],
  parameters: [
  ]
}

{:ok, workflow} = StepFlow.Workflows.create_workflow(workflow_definition)
StepFlow.Workflows.Status.define_workflow_status(workflow.id, :created_workflow)

{:ok, "started"} = StepFlow.Step.start_next(workflow)
